<!DOCTYPE html>
<html lang="en">
    <head>
        <title>
            Nexi
        </title>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="mobile-web-app-capable" content="yes">
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="apple-mobile-web-app-status-bar-style" content="black">
        <meta content="Luc Didry" name="author">
        <meta content="Simple list application" name="description">
        <meta content="Nexi" property="og:title">
        <meta content="website" property="og:type">
        <meta content="Simple list application (PWA)" property="og:description">
        <meta content="https://framagit.org/fiat-tux/hat-softwares/nexi/-/raw/master/img/logo-nexi.png" property="og:image">

        <link rel="icon" href="img/logo-nexi.png" type="image/png">
        <link rel="shortcut icon" href="img/logo-nexi.png">
        <link rel="manifest" href="manifest.webmanifest">
        <link rel="stylesheet" href="css/nexi.min.css">

        <script src="js/jsstore.min.js"></script>
        <script src="js/jsstore.worker.min.js"></script>
        <script src="js/nexi.js"></script>
        <script src="js/alpine.min.js" defer></script>
    </head>
    <body x-data="defaultData()"
          x-init="initAll"
          :class="{ 'modal-active': (!closed_new_list_modal || !closed_new_item_modal || !closed_export_import_modal || !closed_edit_list_modal || !closed_edit_item_modal || !closed_message_modal), 'rtl': rtl }"
          @keydown.ctrl.enter="addItemModal">
        <noscript>
            You need javascript to use this page!
        </noscript>
        <div id="js-only" x-ref="jsOnly">
            <!-- modales -->
            <div :class="{ 'modal': true, 'inactive': (closed_new_list_modal && closed_new_item_modal && closed_export_import_modal && closed_edit_list_modal && closed_edit_item_modal && closed_message_modal) }"
                 @keydown.escape="closeModal">
                <div class="modal-overlay"
                     @click="closeModal"></div>
                <div class="modal-container">
                    <!-- Add margin if you want to see some of the overlay behind the modal-->
                    <div class="modal-content">
                        <!-- Body -->
                        <!-- Message -->
                        <div :class="{ 'hidden': closed_message_modal }">
                            <p x-text="message"></p>
                            <p :class="{ 'hidden': !show_source_url }"
                               x-html="i18n.source_url"></p>
                            <button class="btn cancel msg-btn"
                                    @click="closeMessageModal"
                                    x-ref="msgBtn"
                                    :data-reload="must_reload"
                                    x-text="i18n.close"></button>
                        </div>
                        <!-- New list -->
                        <div :class="{ 'hidden': closed_new_list_modal || !closed_message_modal }">
                            <div class="modal-title">
                                <h1 x-text="i18n.add_new_list"></h1>
                            </div>
                            <label for="nl-name"
                                   class="sr-only"
                                   x-text="i18n.new_list_name"></label>
                            <input id="nl-name"
                                   x-ref="nlName"
                                   :placeholder="i18n.new_list_name"
                                   @keydown.enter="addList"
                                   :title="i18n.new_list_name">
                            <button class="btn confirm"
                                    @click="addList"
                                    x-text="i18n.add_new_list"></button>
                            <button class="btn cancel"
                                    @click="closeModal"
                                    x-text="i18n.cancel"></button>
                        </div>
                        <!-- Edit list -->
                        <div :class="{ 'hidden': closed_edit_list_modal || !closed_message_modal }">
                            <div class="modal-title">
                                <h1 x-text="i18n.edit_list"></h1>
                            </div>
                            <label for="new-list-name"
                                   class="sr-only"
                                   x-text="i18n.new_name"></label>
                            <input id="new-list-name"
                                   x-ref="newListName"
                                   @keydown.enter="editList"
                                   :value="current_list.name"
                                   :title="i18n.new_name">
                            <button class="btn confirm"
                                    @click="editList"
                                    x-text="i18n.edit_list"></button>
                            <button class="btn cancel"
                                    @click="closeModal"
                                    x-text="i18n.cancel"></button>
                        </div>
                        <!-- New item -->
                        <div :class="{ 'hidden': closed_new_item_modal || !closed_message_modal }">
                            <div class="modal-title">
                                <h1 x-text="i18n.add_item"></h1>
                            </div>
                            <label for="ni-name"
                                   class="sr-only"
                                   x-text="i18n.name"></label>
                            <input id="ni-name"
                                   x-ref="niName"
                                   :placeholder="i18n.name"
                                   @keydown.enter="addItem"
                                   :title="i18n.name">

                            <label for="ni-number"
                                   class="sr-only"
                                   x-text="i18n.number"></label>
                            <input id="ni-number"
                                   x-ref="niNumber"
                                   type="number"
                                   min="0"
                                   step="1"
                                   :placeholder="i18n.number"
                                   @keydown.enter="addItem"
                                   :title="i18n.number">

                            <input id="ni-status"
                                   x-ref="niStatus"
                                   type="checkbox">
                            <label for="ni-status"
                                    x-text="i18n.current_state"></label>
                            <br>

                            <button class="btn confirm"
                                    @click="addItem"
                                    x-text="i18n.add_item"></button>
                            <button class="btn cancel"
                                    @click="closeModal"
                                    x-text="i18n.cancel"></button>
                        </div>
                        <!-- Edit item -->
                        <div :class="{ 'hidden': closed_edit_item_modal || !closed_message_modal }">
                            <div class="modal-title">
                                <h1 x-text="i18n.edit_item"></h1>
                            </div>
                            <label for="new-item-name"
                                   class="sr-only"
                                   x-text="i18n.new_name"></label>
                            <input id="new-item-name"
                                   x-ref="newItemName"
                                   @keydown.enter="editItem"
                                   :title="i18n.new_name">
                            <label for="new-item-number"
                                   class="sr-only"
                                   x-text="i18n.number"></label>
                            <input id="new-item-number"
                                   x-ref="newItemNumber"
                                   type="number"
                                   min="0"
                                   step="1"
                                   :placeholder="i18n.number"
                                   @keydown.enter="editItem"
                                   :title="i18n.number">
                            <input type="hidden"
                                   x-ref="itemId">
                            <input type="hidden"
                                   x-ref="itemStatus">
                            <input type="hidden"
                                   x-ref="oldItemName">
                            <input type="hidden"
                                   x-ref="oldItemNumber">
                            <button class="btn confirm"
                                    @click="editItem"
                                    x-text="i18n.edit_item"></button>
                            <button class="btn cancel"
                                    @click="closeModal"
                                    x-text="i18n.cancel"></button>
                        </div>
                        <!-- Export/import -->
                        <div :class="{ 'hidden': closed_export_import_modal || !closed_message_modal }">
                            <div class="modal-title">
                                <h1 x-text="i18n.export"></h1>
                            </div>
                            <button x-ref="exportData"
                                    class="btn confirm e-i-data"
                                    @click="exportData">
                                <span x-text="i18n.export"></span>
                                <svg class="icon-download" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 16v1a3 3 0 003 3h10a3 3 0 003-3v-1m-4-4l-4 4m0 0l-4-4m4 4V4"/>
                                </svg>
                            </button>
                            <hr class="e-i-data">
                            <div class="modal-title">
                                <h1 x-text="i18n.import"></h1>
                            </div>
                            <div id="import-data">
                                <label for="import-file"
                                       class="sr-only"
                                       x-text="i18n.import_file"></label>
                                <input id="import-file"
                                       x-ref="importFile"
                                       type="file"
                                       :title="i18n.import_file">
                                <button class="btn confirm e-i-data"
                                        @click="importData">
                                    <span x-text="i18n.import"></span>
                                    <svg class="icon-upload" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                      <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 16v1a3 3 0 003 3h10a3 3 0 003-3v-1m-4-8l-4-4m0 0L8 8m4-4v12"/>
                                    </svg>
                                </button>
                            </div>
                            <button class="btn cancel e-i-data"
                                    @click="closeModal"
                                    x-text="i18n.cancel"></button>
                            <span hidden aria-hidden="true">
                                <a x-ref="exportDataJson" href="#">Hidden link to download exported data</a>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /modales -->

            <!-- nav -->
            <nav class="navbar">
                <div class="navbar-brand">
                    <button class="navbar-menu"
                            @click="closed_menu = !closed_menu"
                            :title="i18n.open_menu"
                            :aria-label="i18n.open_menu">
                        <svg class="icon-hamburger"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16"/>
                        </svg>
                    </button>
                    <div>
                        <img src="img/logo-nexi.svg"
                             :alt="i18n.logo">
                        Nexi
                    </div>
                    <button class="info"
                            @click="showInfo"
                            :title="i18n.info"
                            :aria-label="i18n.info">
                        <svg class="icon-info" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8.228 9c.549-1.165 2.03-2 3.772-2 2.21 0 4 1.343 4 3 0 1.4-1.278 2.575-3.006 2.907-.542.104-.994.54-.994 1.093m0 3h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"/>
                        </svg>
                    </button>
                </div>
                <ul id="menu"
                    :class="{ 'hidden': closed_menu }">
                    <li class="lang-menu"
                        @click.away="if (!closed_lang_menu) { closed_lang_menu = true }">
                        <button @click.prevent="closed_lang_menu = !closed_lang_menu">
                            <svg class="icon-language"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 5h12M9 3v2m1.048 9.5A18.022 18.022 0 016.412 9m6.088 9h7M11 21l5-10 5 10M12.751 5C11.783 10.77 8.07 15.61 3 18.129"/>
                            </svg>
                            <span x-text="currentLang()"></span>
                            <span :class="{ 'hidden': !closed_lang_menu }">
                                <svg class="icon-caret-down"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"/>
                                </svg>
                            </span>
                            <span :class="{ 'hidden': closed_lang_menu }">
                                <svg class="icon-caret-up"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 15l7-7 7 7"/>
                                </svg>
                            </span>
                        </button>
                        <ul :class="{ 'hidden': closed_lang_menu }">
                            <template x-for="lang in availableLangs"
                                      :key="lang.code">
                                <li>
                                    <button @click="changeSelectedLang"
                                            :data-value="lang.code"
                                            x-text="lang.name"
                                            :class="{ 'active': lang.code === current_lang }"></button>
                                </li>
                            </template>
                        </ul>
                    </li>
                    <li @click.away="if (!closed_list_menu) { closed_list_menu = true }">
                        <button @click.prevent="closed_list_menu = !closed_list_menu">
                            <template x-if="!rtl">
                                <span>
                                    <span x-text="i18n.list"></span>
                                    <span x-text="current_list.name"></span>
                                </span>
                            </template>
                            <template x-if="rtl">
                                <span>
                                    <span x-text="current_list.name"></span>
                                    <span x-text="i18n.list"></span>
                                </span>
                            </template>
                            <span :class="{ 'hidden': !closed_list_menu }">
                                <svg class="icon-caret-down"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"/>
                                </svg>
                            </span>
                            <span :class="{ 'hidden': closed_list_menu }">
                                <svg class="icon-caret-up"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 15l7-7 7 7"/>
                                </svg>
                            </span>
                        </button>
                        <button @click="editListModal"
                                :title="i18n.edit_list"
                                :aria-label="i18n.edit_list">
                            <svg class="icon-edit"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15.232 5.232l3.536 3.536m-2.036-5.036a2.5 2.5 0 113.536 3.536L6.5 21.036H3v-3.572L16.732 3.732z"/>
                            </svg>
                        </button>
                        <button @click="removeList()"
                                :title="i18n.remove_list"
                                :aria-label="i18n.remove_list">
                            <svg class="icon-trash" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h26"/>
                            </svg>
                        </button>
                        <ul :class="{ 'hidden': closed_list_menu }">
                            <template x-for="list in lists"
                                      :key="list.id">
                                <li>
                                    <button @click="changeSelectedList" :data-value="list.id" x-text="list.name" :class="{ 'active' : list.id === current_list.id }"></button>
                                </li>
                            </template>
                        </ul>
                    </li>
                    <li>
                        <button class="underline"
                                @click.prevent="addListModal"
                                x-text="i18n.add_new_list"></button>
                    </li>
                    <li>
                        <button class="underline"
                                @click.prevent="exportImportModal"
                                x-text="i18n.export_import"></button>
                    </li>
                    <li>
                        <label>
                            <input type="checkbox"
                                   x-model="confirm_before_delete"
                                   @change="changeConfirmBeforeDelete">
                            <span x-text="i18n.confirm_before_delete_item"></span>
                        </label>
                    </li>
                    <li>
                        <label>
                            <input type="checkbox"
                                   x-model="darkTheme"
                                   @change="changeDarkTheme">
                            <span x-text="i18n.use_dark_theme"></span>
                        </label>
                    </li>
                </ul>
            </nav>
            <!-- /nav -->

            <main>
                <h1>
                    <button @click.prevent="addItemModal"
                            :title="i18n.add_item_btn"
                            :aria-label="i18n.add_item_btn">
                        <svg class="icon-plus-button"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 9v3m0 0v3m0-3h3m-3 0H9m12 0a9 9 0 11-18 0 9 9 0 0118 0z"/>
                        </svg>
                    </button>
                    <template x-if="!rtl">
                        <span>
                            <span x-text="i18n.list"></span>
                            <span x-text="current_list.name"></span>
                        </span>
                    </template>
                    <template x-if="rtl">
                        <span>
                            <span x-text="current_list.name"></span>
                            <span x-text="i18n.list"></span>
                        </span>
                    </template>
                    <button class="sort-method"
                            @click.prevent="changeSortMethod"
                            :title="i18n.change_sort_method"
                            :aria-label="i18n.change_sort_method">
                        <svg class="icon-sort"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 16V4m0 0L3 8m4-4l4 4m6 0v12m0 0l4-4m-4 4l-4-4"/>
                        </svg>
                        <span :class="{ 'hidden': current_list.sort_method !== 'az' }">(a..z)</span>
                        <span :class="{ 'hidden': current_list.sort_method !== 'za' }">(z..a)</span>
                        <span :class="{ 'hidden': current_list.sort_method !== '09' }">(0..9)</span>
                        <span :class="{ 'hidden': current_list.sort_method !== '90' }">(9..0)</span>
                    </button>
                    <button class="export-list"
                            @click.prevent="showDownloadListModal"
                            :title="i18n.download_list"
                            :aria-label="i18n.download_list">
                        <svg class="icon-download-document" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 10v6m0 0l-3-3m3 3l3-3m2 8H7a2 2 0 01-2-2V5a2 2 0 012-2h5.586a1 1 0 01.707.293l5.414 5.414a1 1 0 01.293.707V19a2 2 0 01-2 2z"></path>
                        </svg>
                    </button>
                </h1>
                <button @click="closed_current = !closed_current">
                    <h2>
                        <span x-text="i18n.current"></span>
                        <span :class="{ 'hidden': !closed_current }">
                            <svg class="icon-caret-down"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"/>
                            </svg>
                        </span>
                        <span :class="{ 'hidden': closed_current }">
                            <svg class="icon-caret-up"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 15l7-7 7 7"/>
                            </svg>
                        </span>
                    </h2>
                </button>
                <div :class="{ 'hidden': closed_current }">
                    <ul>
                        <template x-for="item in current" :key="item.id">
                            <li class="flex">
                                <span class="flex-1"
                                      x-text="item.name"></span>
                                <span :class="{ 'invisible': item.number < 0, 'flex-initial': true }"
                                      x-text="'(' + item.number.toString() + ')'"></span>
                                <span :class="{ 'invisible': item.number < 0, 'flex-initial': true }">
                                    <button class="modif"
                                            @click="decrementItem"
                                            :data-id="item.id"
                                            :data-nb="item.number"
                                            data-status="current"
                                            :title="i18n.decrement_number"
                                            :aria-label="i18n.decrement_number">
                                        <svg class="icon-minus"  viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                          <path stroke="none" d="M0 0h24v24H0z"/>  <line x1="5" y1="12" x2="19" y2="12" />
                                        </svg>
                                    </button>
                                </span>
                                <span class="flex-initial">
                                    <button class="modif"
                                            @click="incrementItem"
                                            :data-id="item.id"
                                            :data-nb="item.number"
                                            data-status="current"
                                            :title="i18n.increment_number"
                                            :aria-label="i18n.increment_number">
                                        <svg class="icon-plus" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 4v16m8-8H4"/>
                                        </svg>
                                    </button>
                                </span>
                                <span class="flex-initial">
                                    <button class="modif"
                                            @click="toggleItemStatus"
                                            data-wannabe-status="next"
                                            :data-id="item.id"
                                            :title="i18n.toggle_item_status"
                                            :aria-label="i18n.toggle_item_status">
                                        <svg class="icon-arrow-down" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 14l-7 7m0 0l-7-7m7 7V3"/>
                                        </svg>
                                    </button>
                                </span>
                                <span class="flex-initial">
                                    <button class="modif"
                                            @click="editItemModal"
                                            :data-id="item.id"
                                            :data-name="item.name"
                                            :data-nb="item.number"
                                            data-status="current"
                                            :title="i18n.edit_item"
                                            :aria-label="i18n.edit_item">
                                        <svg class="icon-edit"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15.232 5.232l3.536 3.536m-2.036-5.036a2.5 2.5 0 113.536 3.536L6.5 21.036H3v-3.572L16.732 3.732z"/>
                                        </svg>
                                    </button>
                                </span>
                                <span class="flex-initial">
                                    <button class="modif"
                                            @click="removeItem"
                                            :data-id="item.id"
                                            :data-name="item.name"
                                            data-status="current"
                                            :title="i18n.remove_item"
                                            :aria-label="i18n.remove_item">
                                        <svg class="icon-trash" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h26"/>
                                        </svg>
                                    </button>
                                </span>
                            </li>
                        </template>
                    </ul>
                </div>
                <hr>
                <button @click="closed_next = !closed_next">
                    <h2>
                        <span x-text="i18n.next"></span>
                        <span :class="{ 'hidden': !closed_next }">
                            <svg class="icon-caret-down"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"/>
                            </svg>
                        </span>
                        <span :class="{ 'hidden': closed_next }">
                            <svg class="icon-caret-up"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 15l7-7 7 7"/>
                            </svg>
                        </span>
                    </h2>
                </button>
                <div :class="{ 'hidden': closed_next }">
                    <ul>
                        <template x-for="item in next" :key="item.id">
                            <li class="flex">
                                <span class="flex-1"
                                      x-text="item.name"></span>
                                <span :class="{ 'invisible': item.number < 0, 'flex-initial': true }"
                                      x-text="'(' + item.number.toString() + ')'"></span>
                                <span :class="{ 'invisible': item.number < 0, 'flex-initial': true }">
                                    <button class="modif"
                                            @click="decrementItem"
                                            :data-id="item.id"
                                            :data-nb="item.number"
                                            data-status="next"
                                            :title="i18n.decrement_number"
                                            :aria-label="i18n.decrement_number">
                                        <svg class="icon-minus"  viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                          <path stroke="none" d="M0 0h24v24H0z"/>  <line x1="5" y1="12" x2="19" y2="12" />
                                        </svg>
                                    </button>
                                </span>
                                <span class="flex-initial">
                                    <button class="modif"
                                            @click="incrementItem"
                                            :data-id="item.id"
                                            :data-nb="item.number"
                                            data-status="next"
                                            :title="i18n.increment_number"
                                            :aria-label="i18n.increment_number">
                                        <svg class="icon-plus" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 4v16m8-8H4"/>
                                        </svg>
                                    </button>
                                </span>
                                <span class="flex-initial">
                                    <button class="modif"
                                            @click="toggleItemStatus"
                                            data-wannabe-status="current"
                                            :data-id="item.id"
                                            :title="i18n.toggle_item_status"
                                            :aria-label="i18n.toggle_item_status">
                                        <svg class="icon-arrow-up" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 10l7-7m0 0l7 7m-7-7v18"/>
                                        </svg>
                                    </button>
                                </span>
                                <span class="flex-initial">
                                    <button class="modif"
                                            @click="editItemModal"
                                            :data-id="item.id"
                                            :data-name="item.name"
                                            :data-nb="item.number"
                                            data-status="next"
                                            :title="i18n.edit_item"
                                            :aria-label="i18n.edit_item">
                                        <svg class="icon-edit"  fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15.232 5.232l3.536 3.536m-2.036-5.036a2.5 2.5 0 113.536 3.536L6.5 21.036H3v-3.572L16.732 3.732z"/>
                                        </svg>
                                    </button>
                                </span>
                                <span class="flex-initial">
                                    <button class="modif"
                                            @click="removeItem"
                                            :data-id="item.id"
                                            :data-name="item.name"
                                            data-status="next"
                                            :title="i18n.remove_item"
                                            :aria-label="i18n.remove_item">
                                        <svg class="icon-trash" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h26"/>
                                        </svg>
                                    </button>
                                </span>
                            </li>
                        </template>
                    </ul>
                </div>
            </main>
        </div>
    </body>
</html>
